C
C *** grfft.f is a FORTRAN code to obtain seismograms in the time domain,
C     which are computed from grpoint.f and grfault.f
C
      PROGRAM grfftsp
C
      IMPLICIT REAL*8(A-H,O-Z)
      PARAMETER(MW=23,ML=44,Msflt=1000)
      dimension slp35(50,ML,MW),slp125(50,ML,MW)
      dimension a1(5,Msflt),a2(5,Msflt)
c
      NW=22
      NL=43
      OPEN(11,FILE='rateA.dat',STATUS='OLD')
      n=0
      do 100 iW=1,NW
      do 100 iL=1,NL
        n=n+1
        READ(11,*)a1(1,n),a1(2,n),a1(3,n),a1(4,n),a1(5,n)
        READ(11,*)a2(1,n),a2(2,n),a2(3,n),a2(4,n),a2(5,n)
        do i=0,3
          jj=i*10
          READ(11,*)(slp35(j+jj,iL,iW),j=1,10)
        end do
        READ(11,*)(slp35(j+40,iL,iW),j=1,9)
c
        READ(11,*)
        READ(11,*)
        do i=0,3
          jj=i*10
          READ(11,*)(slp125(j+jj,iL,iW),j=1,10)
        end do
        READ(11,*)(slp125(j+40,iL,iW),j=1,9)
  100 continue
      CLOSE(11)
c
      stop
      END

